package com.bonus.canteen.core.supply.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.time.LocalDate;

@ApiModel
public class DrpSupplierDeliverEditDTO {
   @ApiModelProperty("id")
   private @NotNull(
   message = "id不能为空!"
) Long id;
   @ApiModelProperty("送货人id")
   private Long deliveryId;
   @ApiModelProperty("送货人名称")
   private @NotBlank(
   message = "送货人名称不能为空!"
) String deliveryMan;
   @ApiModelProperty("送货人电话")
   private @NotBlank(
   message = "送货人电话不能为空!"
) String deliveryPhone;
   @ApiModelProperty("供应商id")
   private Long supplierId;
   @ApiModelProperty("健康证有效期")
   private LocalDate healthValidity;
   @ApiModelProperty("健康证图片")
   private String healthImageUrl;

   public Long getId() {
      return this.id;
   }

   public Long getDeliveryId() {
      return this.deliveryId;
   }

   public String getDeliveryMan() {
      return this.deliveryMan;
   }

   public String getDeliveryPhone() {
      return this.deliveryPhone;
   }

   public Long getSupplierId() {
      return this.supplierId;
   }

   public LocalDate getHealthValidity() {
      return this.healthValidity;
   }

   public String getHealthImageUrl() {
      return this.healthImageUrl;
   }

   public void setId(final Long id) {
      this.id = id;
   }

   public void setDeliveryId(final Long deliveryId) {
      this.deliveryId = deliveryId;
   }

   public void setDeliveryMan(final String deliveryMan) {
      this.deliveryMan = deliveryMan;
   }

   public void setDeliveryPhone(final String deliveryPhone) {
      this.deliveryPhone = deliveryPhone;
   }

   public void setSupplierId(final Long supplierId) {
      this.supplierId = supplierId;
   }

   public void setHealthValidity(final LocalDate healthValidity) {
      this.healthValidity = healthValidity;
   }

   public void setHealthImageUrl(final String healthImageUrl) {
      this.healthImageUrl = healthImageUrl;
   }


   public String toString() {
      Long var10000 = this.getId();
      return "DrpSupplierDeliverEditDTO(id=" + var10000 + ", deliveryId=" + this.getDeliveryId() + ", deliveryMan=" + this.getDeliveryMan() + ", deliveryPhone=" + this.getDeliveryPhone() + ", supplierId=" + this.getSupplierId() + ", healthValidity=" + String.valueOf(this.getHealthValidity()) + ", healthImageUrl=" + this.getHealthImageUrl() + ")";
   }
}
